import { BaseService, Service } from '@/cool';
import { baseUrl } from '@/config/env';
import store from '@/store';

@Service('shop')
export class LevelService extends BaseService {
	downloadGatheringCode(id) {
		return baseUrl + `/shop/gathering-code?id=${id}&token=${store.state.user.token}`;
	}

	downloadGatheringMiniCode(id) {
		return baseUrl + `/shop/gathering-mini-code?id=${id}&token=${store.state.user.token}`;
	}

	downloadApplyMemberCode(id) {
		return (
			baseUrl + `/shop/apply-member-code?id=${id}&token=${store.state.user.token}`
		);
	}
	// 所有客户
	shopAll(data) {//姜枫 2021.04.19
		return this.request({
			url: '/all',
		});
	}
}

export default new LevelService();
